Staking positions for a wallet
curl --request GET \
--url https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/positions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/positions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"stakingPositionId": "9bc4c2ccba8192b64d41b46d1770abe9ddbb430b85de3fe73e1b4f21336bc48a",
"assetType": "ETH",
"stakedAmount": "32",
"inactiveStakedAmount": "0",
"status": "ACTIVE",
"providerName": "Figment",
"sourceAddress": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"withdrawalAddress": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"transactionId": "8696144cca28a634c05858d00e51191408498a7808a837fc4645b4b6997dde09"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Staking positions for a wallet
Permissions required: Read vault activity
Get wallet staking positions details for the specified walletId.
GET
/
wallets
/
{walletId}
/
staking
/
positions
Staking positions for a wallet
curl --request GET \
--url https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/positions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/positions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"stakingPositionId": "9bc4c2ccba8192b64d41b46d1770abe9ddbb430b85de3fe73e1b4f21336bc48a",
"assetType": "ETH",
"stakedAmount": "32",
"inactiveStakedAmount": "0",
"status": "ACTIVE",
"providerName": "Figment",
"sourceAddress": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"withdrawalAddress": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"transactionId": "8696144cca28a634c05858d00e51191408498a7808a837fc4645b4b6997dde09"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
An ID uniquely identifying an Anchorage Digital wallet
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Maximum number of results to return per query
Required range:
1 <= x <= 100The transaction Id to filter the wallet positions
Was this page helpful?